<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.*"%>
<%@page import="br.com.elotech.util.*"%>
<%@page import="br.com.elotech.bean.*"%>
<%@page import="br.com.elotech.dao.*"%>
<%@page import="br.com.elotech.dao.impl.*"%>

<%
    String numeroordem = (String)request.getParameter("numero");

    Usuario u = (Usuario)session.getAttribute("usuario");
    Exercicio exercicio = (Exercicio)session.getAttribute("exercicio");    

    if (u == null){
%>
<c:redirect url="/portal/web/login" />
<%
    }

    OrdemServicoDaoImpl ordemservicoDao = (OrdemServicoDaoImpl)Util.getBean("OrdemServicoDaoImpl");
    OrdemServico os = ordemservicoDao.getOrdemServico(Long.valueOf(numeroordem), Long.valueOf(exercicio.getExercicio()));

    PneusVeiculoDaoImpl pneusVeiculoDao = (PneusVeiculoDaoImpl)Util.getBean("PneusVeiculoDaoImpl");
    List lstPneusVeiculo = pneusVeiculoDao.getPneusVeiculo(Long.valueOf(numeroordem), exercicio.getExercicio());
    
    EmpenhosVeiculoDaoImpl empenhosVeiculoDao = (EmpenhosVeiculoDaoImpl)Util.getBean("EmpenhosVeiculoDaoImpl");
    List lstEmpenhosVeiculo = empenhosVeiculoDao.getEmpenhosVeiculo(Long.valueOf(numeroordem), exercicio.getExercicio());
    
    EntidadeDaoImpl entidadeDao = (EntidadeDaoImpl)Util.getBean("EntidadeDaoImpl");
    Entidade entidade = entidadeDao.getEntidade();    
    
%>

<html>
<head>
<link rel="stylesheet" type="text/css" media="all"
	href="<c:url value="/css/elotech.css" />" />
<title>Ordem Servio - Dados Gerais</title>
</head>

<body bgcolor="whitesmoke">
	<div id="pagina">
		<div id="cabecalho">
			<fieldset>
				<legend>ORDENS DE SERVIO</legend>
				<table>
					<tr>
						<td width="200" align="center"><img
							src="<c:url value="/img/brasao.png" />" alt="braso" /></td>
						<td>
							<h3><%=entidade.getNome()%></h3>
							<p><%=entidade.getCidade()+" - "+entidade.getUf()%></p>
							<p><%=exercicio.getExercicio()%></p> <br />
							<p>
								<strong>Usurio: </strong><%=u.getNome()%></p>
							<p>
								<strong>Fornecedor: </strong><%=u.getFornecedor()==null?"Fornecedor no informado":u.getFornecedor()+" - "+u.getNomefornecedor()%></p>
						</td>
					</tr>
				</table>
			</fieldset>
		</div>

		<div align="center">
			<table width="700" align="center">
				<tbody>
					<tr>
						<td width="500"><div>
								<h3><%="Ordem Servio N: "+os.getNumero()+" ("+os.getSituacao()+")"%></h3>
							</div></td>
						<td width="200"><div>
								<div align="right">
									<a href="ordem?numero=<%=os.getNumero()%>">Voltar para
										Ordem</a>
								</div>
							</div></td>
					</tr>
				</tbody>
			</table>
		</div>

		<div align="center">
			<form name="ordem" action="ordem?numero=<%=os.getNumero()%>"
				method="post">
				<input type="hidden" name="numeroordem" value="<%=os.getNumero()%>">
				<input type="hidden" name="operacao" value="cadastro">
				<table border=0 bgcolor=whitesmoke cellpadding=3 align=center>
					<tbody>
						<tr>
							<td></td>
							<td colspan="4" height="30"><div align="center">
									<a><strong>Dados de CheckList</strong></a>
								</div></td>
						</tr>

						<tr>
							<td align="right">Extintor:</td>
							<td><input type="text" name="extintorcheck"
								value="<%=os.getExtintorcheck()%>" disabled size="20"></td>
							<td><div align="right">
									<a>Chave Roda:</a> <input type="text" name="chaverodacheck"
										value="<%=os.getChaverodacheck()%>" disabled size="20">
								</div></td>
							<td><div align="right">
									<a>Estepe:</a> <input type="text" name="estepecheck"
										value="<%=os.getEstepecheck()%>" disabled size="20"
										align="right">
								</div></td>
						<tr>
							<td align="right">Tringulo:</td>
							<td><input type="text" name="triangulocheck"
								value="<%=os.getTriangulocheck()%>" disabled size="20"></td>
							<td><div align="right">
									<a>Macaco:</a> <input type="text" name="macacocheck"
										value="<%=os.getMacacocheck()%>" disabled size="20">
								</div></td>
							<td><div align="right">
									<a>Combustvel:</a> <input type="text"
										name="nivelcombustivelcheck"
										value="<%=(os.getNivelcombustivel()==null?" ":os.getNivelcombustivel())+" %"%>"
										disabled size="20" align="right">
								</div></td>
						<tr>
							<td align="right">Obs:</td>
							<td colspan="3"><textarea name="observacaocheck" cols="80"
									rows="3" disabled><%=(os.getObservacaocheck()==null?"":os.getObservacaocheck())%></textarea></td>
						</tr>
					</tbody>
				</table>
			</form>
		</div>

		<br />

		<div align="center">
			<%
            String tbl_empenho = "";
            tbl_empenho+="<table border=0 bgcolor=whitesmoke cellpadding=3 align=center>";
            tbl_empenho+="<tbody>";            
            tbl_empenho+="<tr>";
            tbl_empenho+="<td colspan=4 height=30><div align='center'><a><strong>Empenhos do Veculo</strong></a></div></td>";            
            tbl_empenho+="</tr>";
            tbl_empenho+="<tr>";
            tbl_empenho+="<td align=center>Empenho</td>";
            tbl_empenho+="<td align=center>Ano</td>";            
            tbl_empenho+="<td>Valor</td>";
            tbl_empenho+="<td>Valor Empenho</td>";
            tbl_empenho+="</tr>";

            for (int i=0; i<lstEmpenhosVeiculo.size(); i++){
                EmpenhosVeiculo e = (EmpenhosVeiculo)lstEmpenhosVeiculo.get(i);

                if ( ( i % 2 ) == 0 ) {
                	tbl_empenho+="<tr bgcolor=#FFFFCC>";
                }else {
                	tbl_empenho+="<tr bgcolor=whitesmoke>";
                }

                tbl_empenho+="<td align=center>"+e.getEmpenho()+"</td>";
                tbl_empenho+="<td width=70 align=center>"+e.getAnoempenho()+"</td>";                
                tbl_empenho+="<td width=100>"+e.getValor()+"</td>";
                tbl_empenho+="<td width=140>"+e.getValor_empenho()+"</td>";                
                tbl_empenho+="</tr>";
            }
            
            tbl_empenho+= "</tbody></table>";
            out.print(tbl_empenho);
        %>
		</div>

		<br />

		<div align="center">
			<%
            String tbl_pneu = "";
            tbl_pneu+="<table border=0 bgcolor=whitesmoke cellpadding=3 align=center>";
            tbl_pneu+="<tbody>";            
            tbl_pneu+="<tr>";
            tbl_pneu+="<td colspan=4 height=30><div align='center'><a><strong>Pneus do Veculo</strong></a></div></td>";            
            tbl_pneu+="</tr>";
            tbl_pneu+="<tr>";
            tbl_pneu+="<td align=center>Posio</td>";
            tbl_pneu+="<td>Descrio</td>";
            tbl_pneu+="<td align=center>Identificao</td>";
            tbl_pneu+="<td>Marca</td>";
            tbl_pneu+="</tr>";

            for (int i=0; i<lstPneusVeiculo.size(); i++){
                PneusVeiculo f = (PneusVeiculo)lstPneusVeiculo.get(i);

                if ( ( i % 2 ) == 0 ) {
                	tbl_pneu+="<tr bgcolor=#FFFFCC>";
                }else {
                	tbl_pneu+="<tr bgcolor=whitesmoke>";
                }

                tbl_pneu+="<td align=center>"+(f.getPosicao()==null?" ":f.getPosicao())+"</td>";
                tbl_pneu+="<td>"+(f.getDescricao()==null?" ":f.getDescricao())+"</td>";
                tbl_pneu+="<td align=center>"+(f.getIdentificacao()==null?" ":f.getIdentificacao())+"</td>";
                tbl_pneu+="<td>"+(f.getMarca()==null?" ":f.getMarca())+"</td>";
                tbl_pneu+="</tr>";
            }
            
            tbl_pneu+= "</tbody></table>";
            out.print(tbl_pneu);
        %>
		</div>
		<br />

		<div id="rodape" style="">
			<p>
				Copyright &copy; 2012 <a href="http://www.elotech.com.br"
					target="_blank">Elotech Informtica e Sistemas Ltda</a>. Todos os
				direitos reservados.
			</p>
		</div>
	</div>
</body>
</html>
