<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.*"%>
<%@page import="br.com.elotech.util.*"%>
<%@page import="br.com.elotech.bean.*"%>
<%@page import="br.com.elotech.dao.*"%>
<%@page import="br.com.elotech.dao.impl.*"%>

<%
    String numeroordem = (String)request.getParameter("numero");

    Usuario u = (Usuario)session.getAttribute("usuario");
    Exercicio exercicio = (Exercicio)session.getAttribute("exercicio");    

    if (u == null){
%>
<c:redirect url="/portal/web/login" />
<%
    }

    OrdemServicoDaoImpl ordemservicoDao = (OrdemServicoDaoImpl)Util.getBean("OrdemServicoDaoImpl");
    OrdemServico os = ordemservicoDao.getOrdemServico(Long.valueOf(numeroordem), Long.valueOf(exercicio.getExercicio()));

    OrdemServicoItemDaoImpl ordemservicoitemDao = (OrdemServicoItemDaoImpl)Util.getBean("OrdemServicoItemDaoImpl");
    List lstOrdemServicoItem = ordemservicoitemDao.getOrdemServicoItem(Long.valueOf(numeroordem), Long.valueOf(exercicio.getExercicio()));
  
    EmpenhosVeiculoDaoImpl empenhosVeiculoDao = (EmpenhosVeiculoDaoImpl)Util.getBean("EmpenhosVeiculoDaoImpl");
    List lstEmpenhosVeiculo = empenhosVeiculoDao.getEmpenhosVeiculo(Long.valueOf(numeroordem), exercicio.getExercicio());    
    
    EntidadeDaoImpl entidadeDao = (EntidadeDaoImpl)Util.getBean("EntidadeDaoImpl");
    Entidade entidade = entidadeDao.getEntidade();
%>

<html>
<head>
<link rel="stylesheet" type="text/css" media="all"
	href="<c:url value="/css/elotech.css" />" />
<title>Ordem Servio</title>
</head>

<body bgcolor="whitesmoke">
	<div id="pagina">
		<div id="cabecalho">
			<fieldset>
				<legend>ORDENS DE SERVIO</legend>
				<table>
					<tr>
						<td width="200" align="center"><img
							src="<c:url value="/img/brasao.png" />" alt="braso" /></td>
						<td>
							<h3><%=entidade.getNome()%></h3>
							<p><%=entidade.getCidade()+" - "+entidade.getUf()%></p>
							<p><%=exercicio.getExercicio()%></p> <br />
							<p>
								<strong>Usurio: </strong><%=u.getNome()%></p>
							<p>
								<strong>Fornecedor: </strong><%=u.getFornecedor()==null?"Fornecedor no informado":u.getFornecedor()+" - "+u.getNomefornecedor()%></p>
						</td>
					</tr>
				</table>
			</fieldset>
		</div>

		<div align="center">
			<table width="700" align="center">
				<tbody>
					<tr>
						<td width="550"><div>
								<h3><%="Ordem Servio N: " + os.getNumero() + " (" + os.getSituacao() + ")"%></h3>
							</div></td>
						<td width="150"><div>
								<div align="right">
									<a href="usuario">Voltar  Listagem</a>
								</div>
							</div></td>
					</tr>
				</tbody>
			</table>
		</div>

		<div align="center">
			<form>
				<table border="0" bgcolor="whitesmoke" cellpadding="3"
					align="center">
					<tbody>
						<tr>
							<td></td>
							<td colspan="5" height="30"><div align="center">
									<a><strong>Dados da Ordem</strong></a>
								</div></td>
						</tr>

						<%
					    String sCancelamento = "";
					    if (os.getCancelamento()!=null) {
		    				sCancelamento+="<tr>";
					    	//sCancelamento+="<td align=right>Motivo Cancelamento</td>";
					    	sCancelamento+="<td align=right><font color='#FF0000'>Motivo Cancelamento:</font></td>";
		    				sCancelamento+="<td colspan=4><textarea name=desc_cancelamento cols=103";
		    				sCancelamento+="rows=2 disabled>"+(os.getCancelamento()==null?" ":os.getCancelamento())+"</textarea></td>";
							sCancelamento+="</tr>";    
					    }
					    out.print(sCancelamento);
				        %>

						<tr>
							<td align="right">Veculo:</td>
							<td><input type="text" name="veiculo"
								value="<%=os.getVeiculo()%>" disabled size="9"></td>
							<td align="right"><a>N Frota:</a> <input type="text"
								name="frota"
								value="<%=(os.getNrfrota()==null?" ":os.getNrfrota())%>"
								disabled size="9"></td>
							<td align="right"><a>Bem:</a> <input type="text"
								name="chapa"
								value="<%=(os.getChapa()==null?" ":os.getChapa())%>" disabled
								size="9"></td>
							<td><div align="right">
									<a>Data:</a> <input type="text" name="data"
										value="<%=(os.getData())+"  "+(os.getHora())%>" disabled size="11" align="right">
								</div></td>
						<tr>
							<td align="right">Descrio:</td>
							<td colspan="4"><textarea name="desc_veiculo" cols="103"
									rows="2" disabled><%=(os.getDesc_veiculo())%></textarea></td>
						</tr>
						
						<tr>
							<td align="right">Marca:</td>
							<td colspan="2"><input type="text" name="marca_veiculo"
								value="<%=(os.getMarca_veiculo()==null?"":os.getMarca_veiculo())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Modelo:</a><input
								type="text" name="modelo_veiculo"
								value="<%=(os.getModelo_veiculo()==null?"":os.getModelo_veiculo())%>"
								disabled size="40"></td>
						</tr>
						<tr>
							<td align="right">Combustvel:</td>
							<td colspan="2"><input type="text" name="tipocom_bustivel"
								value="<%=(os.getTipocom_bustivel()==null?"":os.getTipocom_bustivel())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Ano:</a><input type="text"
								name="anomod" value="<%=(os.getAnofabr()+"/"+os.getAnomod())%>"
								disabled size="40"></td>
						</tr>
						<tr>
							<td align="right">Centro Custo:</td>
							<td colspan="2"><input type="text" name="centrocusto"
								value="<%=(os.getCentroconsumo()==null?"":os.getCentroconsumo())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Lotao:</a><input
								type="text" name="lotacao"
								value="<%=(os.getLotacao()==null?"":os.getLotacao())%>" disabled
								size="40"></td>
						</tr>
						<tr>
							<td align="right">Autorizado:</td>
							<td colspan="2"><input type="text" name="autorizadopor"
								value="<%=(os.getAutorizadopor()==null?"":os.getAutorizadopor())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Portador:</a><input
								type="text" name="portador"
								value="<%=(os.getPortador()==null?"":os.getPortador())%>"
								disabled size="40"></td>
						</tr>						
						<tr>
							<td align="right">Fiscal:</td>
							<td colspan="2"><input type="text" name="fiscal"
								value="<%=(os.getFiscal()==null?"":os.getFiscal())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Processo:</a><input
								type="text" name="processo"
                                value="<%=(os.getTipoprocesso()==null?"":os.getTipoprocesso()+"  ")+(os.getProcesso()==null?"":os.getProcesso()+" / ")+(os.getAnoprocesso()==null?"":os.getAnoprocesso())%>"
								disabled size="40"></td>
						</tr>
						<tr>
							<td align="right">Tipo Servio:</td>
							<td colspan="4"><input type="text" name="tiposervico"
								value="<%=(os.getTiposervico()==null?"":os.getTiposervico())%>"
								disabled size="101"></td>
						</tr>							
						<tr>
							<td align="right">Observao:</td>
							<td colspan="4"><textarea name="obs" cols="103" rows="3"
									disabled><%=(os.getObservacoes()==null?"":os.getObservacoes())%></textarea></td>
						</tr>
						<tr>
							<td align="right">Entrega:</td>
							<td colspan="2"><input type="text" name="dataentrega"
								size="11" disabled
								value="<%=(os.getDataentrega()==null?" ":os.getDataentrega())%>"
								onBlur="javascript:validadataentrega();">(dd/mm/aaaa)<span
								id="span_dataentrega"></span></td>
							<td colspan="1" align="left"><a>Nota Fiscal</a><input
								type="text" name="notafiscal" size="11" disabled
								value="<%=(os.getNotafiscal()==null?"":os.getNotafiscal())%>">
							</td>								
							<td colspan="1" align="right"><a>Hodmetro:</a><input
								type="text" name="medicao" size="11" disabled
								value="<%=os.getMedicaoatual()%>"
								onBlur="javascript:validamedicao();"><span
								id="nome_medicao"></span></td>
						</tr>
						<tr>
							<td align="right">Justificativa:</td>
							<td colspan="4"><textarea name="justificativa"
									style="max-width: 3000" cols="103" rows="3" disabled><%=os.getJustificativa()==null?" ":os.getJustificativa()%></textarea></td>
						</tr>
					</tbody>
				</table>
			</form>
		</div>
		<br />

		<div align="center">
			<%
            String tblOrdemServicoItem = "";
            tblOrdemServicoItem+="<table border=0 bgcolor=whitesmoke cellpadding=3 align=center>";
            tblOrdemServicoItem+="<tbody>";
            tblOrdemServicoItem+="<tr>";
            tblOrdemServicoItem+="<td colspan=7 height=30><div align='center'><a><strong>Itens da Ordem</strong></a></div></td>"; 
            tblOrdemServicoItem+="</tr>";     
            tblOrdemServicoItem+="<tr>";
            tblOrdemServicoItem+="<td align=center>Cdigo</td>";
            tblOrdemServicoItem+="<td align=center>Cd. Original</td>";
            tblOrdemServicoItem+="<td>Descrio</td>";
            tblOrdemServicoItem+="<td>Quantidade</td>";
            tblOrdemServicoItem+="<td>Unit. Bruto</td>";
            tblOrdemServicoItem+="<td>Unit. Lquido</td>";
            tblOrdemServicoItem+="<td>Total</td>";
            tblOrdemServicoItem+="</tr>";

            for (int i=0; i<lstOrdemServicoItem.size(); i++){
                OrdemServicoItem f = (OrdemServicoItem)lstOrdemServicoItem.get(i);

                if ( ( i % 2 ) == 0 ) {
                   tblOrdemServicoItem+="<tr bgcolor=#FFFFCC>";
                }else {
                   tblOrdemServicoItem+="<tr bgcolor=whitesmoke>";
                }

                tblOrdemServicoItem+="<td width=80 align=center>"+f.getItem()+"</td>";
                tblOrdemServicoItem+="<td align=center>"+(f.getItemaux()==null?" ":f.getItemaux())+"</td>";
                tblOrdemServicoItem+="<td width=350>"+f.getDescricao()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getQuantidade()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getValorsemdesconto()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getValor()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getValortotal()+"</td>";
                tblOrdemServicoItem+="</tr>";
            }
            
            tblOrdemServicoItem+="<tr>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td>Total</td>";
            tblOrdemServicoItem+="<td>"+os.getValortotal()+"</td>";
            tblOrdemServicoItem+="</tr>";

            tblOrdemServicoItem+= "</tbody></table>";

            out.print(tblOrdemServicoItem);
        %>
		</div>
		<br />
		<div align="center">
			<%
            String tbl_empenho = "";
            tbl_empenho+="<table border=0 bgcolor=whitesmoke cellpadding=3 align=center>";
            tbl_empenho+="<tbody>";            
            tbl_empenho+="<tr>";
            tbl_empenho+="<td colspan=4 height=30><div align='center'><a><strong>Empenhos do Veculo</strong></a></div></td>";            
            tbl_empenho+="</tr>";
            tbl_empenho+="<tr>";
            tbl_empenho+="<td align=center>Empenho</td>";
            tbl_empenho+="<td align=center>Ano</td>";            
            tbl_empenho+="<td>Valor</td>";
            tbl_empenho+="<td>Valor Empenho</td>";
            tbl_empenho+="</tr>";

            for (int i=0; i<lstEmpenhosVeiculo.size(); i++){
                EmpenhosVeiculo e = (EmpenhosVeiculo)lstEmpenhosVeiculo.get(i);

                if ( ( i % 2 ) == 0 ) {
                	tbl_empenho+="<tr bgcolor=#FFFFCC>";
                }else {
                	tbl_empenho+="<tr bgcolor=whitesmoke>";
                }

                tbl_empenho+="<td align=center>"+e.getEmpenho()+"</td>";
                tbl_empenho+="<td width=70 align=center>"+e.getAnoempenho()+"</td>";                
                tbl_empenho+="<td width=100>"+e.getValor()+"</td>";
                tbl_empenho+="<td width=140>"+e.getValor_empenho()+"</td>";                
                tbl_empenho+="</tr>";
            }
            
            tbl_empenho+= "</tbody></table>";
            out.print(tbl_empenho);
        %>
		</div>
		<br />

		<div id="rodape" style="">
			<p>
				Copyright &copy; 2012 <a href="http://www.elotech.com.br"
					target="_blank">Elotech Informtica e Sistemas Ltda</a>. Todos os
				direitos reservados.
			</p>
		</div>
	</div>
</body>
</html>
