<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.*"%>
<%@page import="br.com.elotech.util.*"%>
<%@page import="br.com.elotech.bean.*"%>
<%@page import="br.com.elotech.dao.*"%>
<%@page import="br.com.elotech.dao.impl.*"%>

<%

    String numeroordem = (String)request.getParameter("numero");
    String itemaux = (String)request.getParameter("itemaux");
  
    String menssagem = (String)request.getAttribute("mensagem");

    Usuario u = (Usuario)session.getAttribute("usuario");
    Exercicio exercicio = (Exercicio)session.getAttribute("exercicio");  
    
    if (u == null){
%>
<c:redirect url="/portal/web/login" />
<%
    }

    OrdemServicoDaoImpl ordemservicoDao = (OrdemServicoDaoImpl)Util.getBean("OrdemServicoDaoImpl");
    OrdemServico os = ordemservicoDao.getOrdemServico(Long.valueOf(numeroordem), Long.valueOf(exercicio.getExercicio()));

    OrdemServicoItemDaoImpl ordemservicoitemDao = (OrdemServicoItemDaoImpl)Util.getBean("OrdemServicoItemDaoImpl");
    List lstOrdemServicoItem = ordemservicoitemDao.getOrdemServicoItem(Long.valueOf(numeroordem),Long.valueOf(exercicio.getExercicio()));

    EntidadeDaoImpl entidadeDao = (EntidadeDaoImpl)Util.getBean("EntidadeDaoImpl");
    Entidade entidade = entidadeDao.getEntidade();
    
    ItemDaoImpl itemdao = (ItemDaoImpl)Util.getBean("ItemDaoImpl");
    String itemdescricao = itemdao.getDescricaoItem(itemaux);
    String itemcodigo = itemdao.getCodigoItem(itemaux);
    
%>

<html>
<head>
<link rel="stylesheet" type="text/css" media="all"
	href="<c:url value="/css/elotech.css" />" />
<title>Ordem Servio</title>
<script type="text/javascript"
	src="${pageContext.request.contextPath}/dwr/interface/itemDwr.js"></script>
<script type="text/javascript"
	src="${pageContext.request.contextPath}/dwr/interface/rotinasDwr.js"></script>
<script type="text/javascript"
	src="${pageContext.request.contextPath}/dwr/engine.js"></script>
<script type="text/javascript"
	src="${pageContext.request.contextPath}/dwr/util.js"></script>
<script>
            function cadastro(){
                document.ordem.operacao.value = "cadastro";
            }
            function cadastroitem(){
                document.ordem.operacao.value = "cadastroitem";
            }
            function deletaitem(){
                document.ordem.operacao.value = "deletaitem";
            }
            function consultaitem(){
                var descricao_item = "";
                var codigo_item = "";
                var valor = dwr.util.getValue("cons_item");

                if (valor != ""){
                    dwr.util.setEscapeHtml(false);
                    itemDwr.getDescricaoItem(valor, {
                        callback:function(data) {
                            descricao_item = data;
                        }, async:false, escapeHtml:true
                    });
                    itemDwr.getCodigoItem(valor, {
                        callback:function(data) {
                            codigo_item = data;
                        }, async:false, escapeHtml:true
                    });

                }
                dwr.util.setEscapeHtml(false);

                if (descricao_item!=""){
                    dwr.util.setValue('descricaoitem', descricao_item);                	
                    dwr.util.setValue('nome_item', "<font color='#0000ff'>Item encontrado.</font>");
                } else {
                    dwr.util.setValue('descricaoitem', "");                	
                    dwr.util.setValue('nome_item', "<font color='#FF0000'>Item no encontrado.</font>");
                    //document.getElementById("cons_item").focus();
                }

                if (codigo_item!=""){
                    dwr.util.setValue('codigo_item', codigo_item);
                } else {
                    dwr.util.setValue('codigo_item', "");
                    //document.getElementById("cons_item").focus();
                }
            }

            function validaquantidade(){
                var valor = dwr.util.getValue("quantidade");

                if (valor != ""){
                    dwr.util.setEscapeHtml(false);
                    rotinasDwr.validaInteiro(valor, {
                        callback:function(data) {
                            retorno = data;
                        }, async:false, escapeHtml:true
                    });
                }
                dwr.util.setEscapeHtml(false);

                if (retorno!=""){
                    dwr.util.setValue('span_quantidade', "<font color='#0000FF'></font>");
                } else {
                    dwr.util.setValue('span_quantidade', "<font color='#FF0000'>Invlido!</font>");
                    document.getElementById("quantidade").focus();
                }
            }

            function validavalorunitario(){
                var valor = dwr.util.getValue("valorunitario");

                if (valor != ""){
                    dwr.util.setEscapeHtml(false);
                    rotinasDwr.validaInteiro(valor, {
                        callback:function(data) {
                            retorno = data;
                        }, async:false, escapeHtml:true
                    });
                }
                dwr.util.setEscapeHtml(false);

                if (retorno!=""){
                    dwr.util.setValue('span_valorunitario', "<font color='#0000FF'></font>");
                } else {
                    dwr.util.setValue('span_valorunitario', "<font color='#FF0000'>Invlido!</font>");
                    document.getElementById("valorunitario").focus();
                }
            }

            function validamedicao(){
                var valor = dwr.util.getValue("medicao");

                if (valor != ""){
                    dwr.util.setEscapeHtml(false);
                    rotinasDwr.validaInteiro(valor, {
                        callback:function(data) {
                            retorno = data;
                        }, async:false, escapeHtml:true
                    });
                } else {
                   dwr.util.setValue('nome_medicao', "");
                };

                dwr.util.setEscapeHtml(false);                
                if (retorno!=""){
                    dwr.util.setValue('nome_medicao', "<font color='#0000FF'></font>");
                } else {
                    dwr.util.setValue('nome_medicao', "<font color='#FF0000'>Invlido!</font>");
                    document.getElementById("medicao").focus();
                }
            }

            function validadataentrega(){
                var valor = dwr.util.getValue("dataentrega");

                if (valor != ""){
                    dwr.util.setEscapeHtml(false);
                    rotinasDwr.validaData(valor, {
                        callback:function(data) {
                            retorno = data;
                        }, async:false, escapeHtml:true
                    });
                }
                dwr.util.setEscapeHtml(false);

                if (retorno!=""){
                    dwr.util.setValue('span_dataentrega', "<font color='#0000FF'></font>");
                } else {
                    dwr.util.setValue('span_dataentrega', "<font color='#FF0000'> Invlida!</font>");
                    document.getElementById("dataentrega").focus();
                }
            }
        </script>
</head>

<body bgcolor="whitesmoke">
	<div id="pagina">
		<div id="cabecalho">
			<fieldset>
				<legend>ORDENS DE SERVIO</legend>
				<table>
					<tr>
						<td width="200" align="center"><img
							src="<c:url value="/img/brasao.png" />" alt="braso" /></td>
						<td>
							<h3><%=entidade.getNome()%></h3>
							<p><%=entidade.getCidade()+" - "+entidade.getUf()%></p>
							<p><%=exercicio.getExercicio()%></p> <br />
							<p>
								<strong>Usurio: </strong><%=u.getNome()%></p>
							<p>
								<strong>Fornecedor: </strong><%=u.getFornecedor()==null?"Fornecedor no informado":u.getFornecedor()+" - "+u.getNomefornecedor()%></p>
						</td>
					</tr>
				</table>
			</fieldset>
		</div>

		<div align="center">
			<table width="700" align="center">
				<tbody>
					<tr>
						<td width="550"><div>
								<h3><%="Ordem Servio N: "+os.getNumero()+" ("+os.getSituacao()+")"%></h3>
							</div></td>
						<td width="150"><div>
								<div align="right">
									<a href="usuario">Voltar  Listagem</a>
								</div>
							</div></td>
					</tr>
				</tbody>
			</table>
		</div>

		<!-- <h3><%=menssagem%></h3> -->

		<div align="center">
			<form name="ordem" action="ordem?numero=<%=os.getNumero()%>"
				method="post">
				<input type="hidden" name="numeroordem" value="<%=os.getNumero()%>">
				<input type="hidden" name="operacao" value="cadastro">
				<table border="0" bgcolor="whitesmoke" cellpadding="3"
					align="center">
					<tbody>
						<tr>
							<td></td>
							<td colspan="5" height="30"><div align="center">
									<a><strong>Dados da Ordem</strong></a>
								</div></td>
						</tr>

						<tr>
							<td align="right">Veculo:</td>
							<td><input type="text" name="veiculo"
								value="<%=os.getVeiculo()%>" disabled size="9"></td>
							<td align="right"><a>N Frota:</a> <input type="text"
								name="frota"
								value="<%=(os.getNrfrota()==null?" ":os.getNrfrota())%>"
								disabled size="9"></td>
							<td align="right"><a>Bem:</a> <input type="text"
								name="chapa"
								value="<%=(os.getChapa()==null?" ":os.getChapa())%>" disabled
								size="9"></td>
							<td align="right"><div align="right">
									<a>Data:</a> <input type="text" name="data"
										value="<%=(os.getData())+"  "+(os.getHora())%>" disabled size="11" align="right">
								</div></td>
						<tr>
							<td align="right">Descrio:</td>
							<td colspan="4"><textarea name="desc_veiculo" cols="103"
									rows="2" disabled><%=(os.getDesc_veiculo())%></textarea></td>
						</tr>
						
						<tr>
							<td align="right">Marca:</td>
							<td colspan="2"><input type="text" name="marca_veiculo"
								value="<%=(os.getMarca_veiculo()==null?"":os.getMarca_veiculo())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Modelo:</a><input
								type="text" name="modelo_veiculo"
								value="<%=(os.getModelo_veiculo()==null?"":os.getModelo_veiculo())%>"
								disabled size="40"></td>
						</tr>
						<tr>
							<td align="right">Combustvel:</td>
							<td colspan="2"><input type="text" name="tipocom_bustivel"
								value="<%=(os.getTipocom_bustivel()==null?"":os.getTipocom_bustivel())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Ano:</a><input type="text"
								name="anomod" value="<%=(os.getAnofabr()+"/"+os.getAnomod())%>"
								disabled size="40"></td>
						</tr>
						<tr>
							<td align="right">Centro Custo:</td>
							<td colspan="2"><input type="text" name="centrocusto"
								value="<%=(os.getCentroconsumo()==null?"":os.getCentroconsumo())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Lotao:</a><input
								type="text" name="lotacao"
								value="<%=(os.getLotacao()==null?"":os.getLotacao())%>" disabled
								size="40"></td>
						</tr>
						<tr>
							<td align="right">Autorizado:</td>
							<td colspan="2"><input type="text" name="autorizadopor"
								value="<%=(os.getAutorizadopor()==null?"":os.getAutorizadopor())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Portador:</a><input
								type="text" name="portador"
								value="<%=(os.getPortador()==null?"":os.getPortador())%>"
								disabled size="40"></td>
						</tr>
						<tr>
							<td align="right">Fiscal:</td>
							<td colspan="2"><input type="text" name="fiscal"
								value="<%=(os.getFiscal()==null?"":os.getFiscal())%>"
								disabled size="40"></td>
							<td colspan="2" align="right"><a>Processo:</a><input
								type="text" name="processo"
                                value="<%=(os.getTipoprocesso()==null?"":os.getTipoprocesso()+"  ")+(os.getProcesso()==null?"":os.getProcesso()+" / ")+(os.getAnoprocesso()==null?"":os.getAnoprocesso())%>"
								disabled size="40"></td>
						</tr>					
						<tr>
							<td align="right">Tipo Servio:</td>
							<td colspan="4"><input type="text" name="tiposervico"
								value="<%=(os.getTiposervico()==null?"":os.getTiposervico())%>"
								disabled size="101"></td>
						</tr>									
						<tr>
							<td align="right">Observao:</td>
							<td colspan="4"><textarea name="obs" cols="103" rows="3"
									disabled><%=(os.getObservacoes()==null?"":os.getObservacoes())%></textarea></td>
						</tr>
						<tr>
							<td align="right">Entrega:</td>
							<td colspan="2"><input type="text" name="dataentrega"
								size="11"
								value="<%=(os.getDataentrega()==null?" ":os.getDataentrega())%>"
								onBlur="javascript:validadataentrega();">(dd/mm/aaaa)<span
								id="span_dataentrega"></span></td>
							<td colspan="1" align="left"><a>Nota Fiscal</a><input
								type="text" name="notafiscal" size="11" 
								value="<%=(os.getNotafiscal()==null?"":os.getNotafiscal())%>">
							</td>								
							<td colspan="1" align="right"><a>Hodmetro:</a><input
								type="text" name="medicao" size="11"
								value="<%=os.getMedicaoatual()%>"
								onBlur="javascript:validamedicao();"><span
								id="nome_medicao"></span></td>
						</tr>
						<tr>
							<td align="right">Justificativa:</td>
							<td colspan="4"><textarea name="justificativa"
									style="max-width: 3000" cols="103" rows="3"><%=os.getJustificativa()==null?" ":os.getJustificativa()%></textarea></td>
						</tr>
						<tr>
							<td><input type="submit" value="Alterar"
								onClick="javascript:cadastro();"></td>
							<td colspan="4" align="right"><a
								href="dadosordem?numero=<%=os.getNumero()%>">Visualizar
									Dados Gerais</a></td>
						</tr>
					</tbody>
				</table>
			</form>
		</div>

		<br />

		<div align="center">
			<form name="ordem" action="ordem?numero=<%=os.getNumero()%>"
				method="post">
				<input type="hidden" name="operacao" value="cadastroitem"> <input
					type="hidden" name="numeroordem" value="<%=os.getNumero()%>">
				<table border="0" bgcolor="whitesmoke" cellpadding="3"
					align="center">
					<tbody>
						<tr>
							<td colspan="7" height="30"><div align="center">
									<a><strong>Cadastro/Insero de Itens</strong></a>
								</div></td>

							<td colspan="2" align="right"><div align="right">
									<a href="item?inicioitem=&ordemservico=<%=os.getNumero()%>">Consulta/Cadastro
										Itens</a>
								</div></td>
						</tr>

						<tr>
							<td>Cd. Original</td>
							<td><input type="text" size="5" name="cons_item"
								value="<%=(itemaux==null?"":itemaux)%>"
								onblur="javascript:consultaitem();"
								></td>
							<td>Item</td>
							<td><input type="text" name="codigo_item"
								value="<%=(itemcodigo == null ? "" : itemcodigo)%>" size="5">
							</td>
							<td>Quantidade</td>
							<td><input type="text" name="quantidade" size="5"
								onBlur="javascript:validaquantidade();"> <span
								id="span_quantidade"></span></td>
							<td>Valor Unitrio</td>
							<td><input type="text" name="valorunitario" size="5"
								onBlur="javascript:validavalorunitario();"> <span
								id="span_valorunitario"></span></td>
							<td>
								<div align="right">
									<input type="submit" value="Inserir/Alterar"
										onClick="javascript:cadastroitem();">
								</div>
							</td>
						<tr>
							<td colspan="9" width="700"><span id="nome_item"></span></td>
						</tr>
						<tr>
							<td>Descrio</td>
							<td colspan="8"><input type="text" size="76"
								value="<%=(itemdescricao==null?"":itemdescricao)%>"							
								name="descricaoitem"></td>
						</tr>
					</tbody>
				</table>
			</form>
		</div>

		<br />

		<div align="center">
			<%
            String tblOrdemServicoItem = "";
            tblOrdemServicoItem+="<table border=0 bgcolor=whitesmoke cellpadding=3 align=center>";
            tblOrdemServicoItem+="<tbody>";
            tblOrdemServicoItem+="<tr>";
            tblOrdemServicoItem+="<td colspan=7 height=30><div align='center'><a><strong>Itens da Ordem</strong></a></div></td>";            
            tblOrdemServicoItem+="</tr>";    
            tblOrdemServicoItem+="<tr>";
            tblOrdemServicoItem+="<td align=center>Cdigo</td>";
            tblOrdemServicoItem+="<td align=center>Cd. Original</td>";
            tblOrdemServicoItem+="<td>Descrio</td>";
            tblOrdemServicoItem+="<td>Quantidade</td>";
            tblOrdemServicoItem+="<td>Unit. Bruto</td>";
            tblOrdemServicoItem+="<td>Unit. Lquido</td>";
            tblOrdemServicoItem+="<td>Total</td>";
            tblOrdemServicoItem+="</tr>";

            for (int i=0; i<lstOrdemServicoItem.size(); i++){
                OrdemServicoItem f = (OrdemServicoItem)lstOrdemServicoItem.get(i);

                if ( ( i % 2 ) == 0 ) {
                   tblOrdemServicoItem+="<tr bgcolor=#FFFFCC>";
                }else {
                   tblOrdemServicoItem+="<tr bgcolor=whitesmoke>";
                }

                tblOrdemServicoItem+="<td width=80 align=center>"+f.getItem()+"</td>";
                tblOrdemServicoItem+="<td align=center>"+(f.getItemaux()==null?" ":f.getItemaux())+"</td>";
                tblOrdemServicoItem+="<td width=350>"+f.getDescricao()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getQuantidade()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getValorsemdesconto()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getValor()+"</td>";
                tblOrdemServicoItem+="<td>"+f.getValortotal()+"</td>";               

                tblOrdemServicoItem+="<td><form name=ordem action=ordem?numero="+f.getNumero()+" method=post>";
                tblOrdemServicoItem+="<input type=hidden name=operacao value=deletaitem>";
                tblOrdemServicoItem+="<input type=hidden name=numeroordem value="+f.getNumero()+">";
                tblOrdemServicoItem+="<input type=hidden name=codigo_item value="+f.getItem()+">";
                tblOrdemServicoItem+="<input type=submit value=Apagar onclick=javascript:deletaitem();></td></form>";

                tblOrdemServicoItem+="</tr>";
            }
            
            tblOrdemServicoItem+="<tr>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td></td>";
            tblOrdemServicoItem+="<td>Total</td>";
            tblOrdemServicoItem+="<td>"+os.getValortotal()+"</td>";
            tblOrdemServicoItem+="</tr>";

            tblOrdemServicoItem+= "</tbody></table>";

            out.print(tblOrdemServicoItem);
        %>
		</div>
		<br />
		<div id="rodape" style="">
			<p>
				Copyright &copy; 2012 <a href="http://www.elotech.com.br"
					target="_blank">Elotech Informtica e Sistemas Ltda</a>. Todos os
				direitos reservados.
			</p>
		</div>
	</div>
</body>
</html>
