<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@page import="java.util.*"%>
<%@page import="br.com.elotech.util.*"%>
<%@page import="br.com.elotech.bean.*"%>
<%@page import="br.com.elotech.dao.*"%>
<%@page import="br.com.elotech.dao.impl.*"%>
<%
    Usuario u = (Usuario)session.getAttribute("usuario");
    Exercicio exercicio = (Exercicio)session.getAttribute("exercicio");

    EntidadeDaoImpl entidadeDao = (EntidadeDaoImpl)Util.getBean("EntidadeDaoImpl");
    Entidade entidade = entidadeDao.getEntidade();    

    String inicioitem = (String)request.getParameter("inicioitem");
    String ordemservico = (String)request.getParameter("ordemservico");


    String vFiltro = "";    
    if ((inicioitem == null) || (inicioitem == "")){
        vFiltro = "";
    } else {
       vFiltro = "  and upper(descricao) like upper('%"+inicioitem+"%') ";    	
    }
    
    if (u == null){
%>
<c:redirect url="/portal/web/login" />
<%
    }

    ItemDaoImpl itemDao = (ItemDaoImpl)Util.getBean("ItemDaoImpl");
    List lstItem = itemDao.getItens(vFiltro);
    
%>
<html>
<head>
<link rel="stylesheet" type="text/css" media="all"
	href="<c:url value="/css/elotech.css" />" />
<title>Cadastro/Consulta de Itens</title>

<script>
            function cadastro(){
                document.item.operacao.value = "cadastro";
            }
        </script>
</head>

<body bgcolor="whitesmoke">
	<div id="pagina">
		<div id="cabecalho">
			<fieldset>
				<legend>ORDENS DE SERVIO</legend>
				<table>
					<tr>
						<td width="200" align="center"><img
							src="<c:url value="/img/brasao.png" />" alt="braso" /></td>
						<td>
							<h3><%=entidade.getNome()%></h3>
							<p><%=entidade.getCidade()+" - "+entidade.getUf()%></p>
							<p><%=exercicio.getExercicio()%></p> <br />
							<p>
								<strong>Usurio: </strong><%=u.getNome()%></p>
							<p>
								<strong>Fornecedor: </strong><%=u.getFornecedor()==null?"Fornecedor no informado":u.getFornecedor()+" - "+u.getNomefornecedor()%></p>
						</td>
					</tr>
				</table>
			</fieldset>
		</div>

		<div align="center">
			<table width="600" align="center">
				<tbody>
					<tr>
						<td width="500"><div>
								<h3>Itens</h3>
							</div></td>
						<td width="200"><div>
								<div align="right">
									<a href="ordem?numero=<%=ordemservico%>">Voltar para Ordem</a>
								</div>
							</div></td>
					</tr>
				</tbody>
			</table>
		</div>

		<div align="center">
			<form name="item"
				action="item?inicioitem=<%=inicioitem%>&ordemservico=<%=ordemservico%>"
				method="post">
				<input type="hidden" name="operacao">
				<table border="0" bgcolor="whitesmoke" cellpadding="1"
					align="center">
					<tbody>
						<tr>
							<td colspan="3" height="30"><div align="center">
									<a><strong>Cadastrar de Itens</strong></a>
								</div></td>
						</tr>

						<tr>
							<td>Descrio: <input type="text" name="descricao" size="70"></td>
							<td>Cd. Original: <input type="text" name="itemaux"
								size="10"></td>
							<td><input type="submit" value="Cadastrar"
								onclick="javascript:cadastro();"></td>
						</tr>
					</tbody>
				</table>
			</form>
		</div>

		<br />

		<div align="center">
			<form>
				<table border="0" bgcolor="whitesmoke" cellpadding="4"
					align="center">
					<tbody>
						<tr>
							<td colspan="2" height="30"><div align="center">
									<a><strong>Filtro de Itens - Por Descrio</strong></a>
								</div></td>
						</tr>
						<tr>
							<td>Descrio: <input type="text" name="filtrodescricao"
								size="50" id="filtrodescricao"></td>
							<td align="right" width="115"><a
								href="javascript:filtro(<%=ordemservico%>);">Aplicar Filtro</a></td>
						</tr>
					</tbody>
				</table>
			</form>
		</div>

		<script>
    	function filtro(ordemservico){
	    	var filtro = document.getElementById('filtrodescricao').value;
		    var url = "item?inicioitem="+filtro+"&ordemservico="+ordemservico;
		    document.location.href = url;		
	    }
	</script>

		<br />
		<div align="center">
			<form>
				<%
            String tblItem = "<table border=0 bgcolor=whitesmoke cellpadding=3 align=center>";
            tblItem+="<tbody>";
            
            tblItem+="<tr>";
            tblItem+="<td colspan=4 height=30><div align='center'><a><strong>Itens</strong></a></div></td>";            
            tblItem+="</tr>";           
            
            tblItem+="<tr>";
            tblItem+="<td align=center>Cdigo</td>";
            tblItem+="<td align=center>Cd. Original</td>";
            tblItem+="<td>Descrio</td>";
            tblItem+="</tr>";

            for (int i=0; i<lstItem.size(); i++){
                Item It = (Item)lstItem.get(i);
                
                if ( ( i % 2 ) == 0 ) {  
                   tblItem+="<tr bgcolor=#FFFFCC>";
                }else {    
                   tblItem+="<tr bgcolor=whitesmoke>";
                }

                tblItem+="<td width=80 align=center>"+It.getItem()+"</td>";
                tblItem+="<td align=center>"+(It.getItemaux()==null?" ":It.getItemaux())+"</td>";
                tblItem+="<td width=350>"+It.getDescricao()+"</td>";
                tblItem+="<td><a href=ordem?numero="+ordemservico+"&itemaux="+It.getItemaux()+">Inserir Item</a></td>";
                tblItem+="</tr>";
            }

            tblItem+= "</tbody></table>";

            out.print(tblItem);
          %>
			</form>
		</div>
		<br />
		<div id="rodape" style="">
			<p>
				Copyright &copy; 2012 <a href="http://www.elotech.com.br"
					target="_blank">Elotech Informtica e Sistemas Ltda</a>. Todos os
				direitos reservados.
			</p>
		</div>
	</div>
</body>
</html>
