<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@page import="java.util.*"%>
<%@page import="br.com.elotech.util.*"%>
<%@page import="br.com.elotech.bean.*"%>
<%@page import="br.com.elotech.dao.*"%>
<%@page import="br.com.elotech.dao.impl.*"%>

<%
    String vNome = "";
    Map<String,String[]> params = Collections.synchronizedMap((Map<String, String[]> ) new HashMap<String, String[]>(request.getParameterMap()));
    for (Map.Entry<String, String[]> e : params.entrySet()){
        if (e.getKey().equals("nome")) {
            vNome = e.getValue()[0];
        }       
    }

    String vMsn = "";
    Usuario u = (Usuario)session.getAttribute("usuario");

    if (! vNome.equals("")) {
       vMsn = "Usurio no confere";
    }
    
    request.getSession().removeAttribute("usuario");
    request.getSession().removeAttribute("exercicio");    
    

    ExercicioDaoImpl exercicioDao = (ExercicioDaoImpl)Util.getBean("ExercicioDaoImpl");
    List lstExercicio = exercicioDao.getExercicios();
    
    EntidadeDaoImpl entidadeDao = (EntidadeDaoImpl)Util.getBean("EntidadeDaoImpl");
    Entidade entidade = entidadeDao.getEntidade();    
    
%>

<html>
<head>
<link rel="stylesheet" type="text/css" media="all"
	href="<c:url value="/css/elotech.css" />" />

<title>WebOrdem</title>

<script>
            function logar(){
                document.login.operacao.value = "login";
                document.login.submit();
            }
        </script>
</head>

<body bgcolor="whitesmoke">
	<div id="pagina">
		<div id="cabecalho">
			<fieldset>
				<legend>ORDENS DE SERVIO</legend>
				<table>
					<tr>
						<td width="200" align="center"><img
							src="<c:url value="/img/brasao.png" />" alt="braso" /></td>
						<td>
							<h3><%=entidade.getNome()%></h3>
							<p><%=entidade.getCidade()+" - "+entidade.getUf()%></p> <br />
						</td>
					</tr>
				</table>
			</fieldset>
		</div>


		<h3 align="center">Ordens de Servio</h3>

		<div align="center">
			<form name="login" action="usuario" method="post">
				<input type="hidden" name="operacao" value="">
				<table border="0" bgcolor="whitesmoke" cellpadding="1"
					align="center">
					<tr>
						<td>Exerccio</td>
					</tr>
					<tr>
						<td><select name="exercicio">
								<%
					            String tblExercicio = "";

					            for (int i=0; i<lstExercicio.size(); i++){
					                Exercicio e = (Exercicio)lstExercicio.get(i);
 					                tblExercicio+="<option>"+e.getExercicio();
					            }
					            out.print(tblExercicio);
					        %>
								<option></option>
						</select></td>
					</tr>
					<tr>
						<td>Nome de acesso</td>
					</tr>
					<tr>
						<td><input type="text" name="nome" value="<%=vNome%>"></td>
					</tr>
					<tr>
						<td>Senha de acesso</td>
					</tr>
					<tr>
						<td><input type="password" name="senha"></td>
					</tr>
					<tr>
						<td><input type="button" value="Continuar"
							onclick="javascript:logar();"></td>
					</tr>
				</table>

				<table align="center" border="0">
					<tr>
						<td><div style="color: red">
								<h4><%=vMsn%></h4>
							</div></td>
					</tr>
				</table>
			</form>
		</div>

		<br />
		<div id="rodape" style="">
			<p>
				Copyright &copy; 2012 <a href="http://www.elotech.com.br"
					target="_blank">Elotech Informtica e Sistemas Ltda</a>. Todos os
				direitos reservados.
			</p>
		</div>
	</div>
</body>
</html>
